import { moduleForComponent, test } from 'ember-qunit';
import hbs from 'htmlbars-inline-precompile';

moduleForComponent('bo-doc-contributor-role-select', 'Integration | Component | bo doc contributor role select', {
  integration: true
});

test('it renders', function(assert) {
  
  // Set any properties with this.set('myProperty', 'value');
  // Handle any actions with this.on('myAction', function(val) { ... });" + EOL + EOL +

  this.render(hbs`{{bo-doc-contributor-role-select}}`);

  assert.equal(this.$().text().trim(), '');

  // Template block usage:" + EOL +
  this.render(hbs`
    {{#bo-doc-contributor-role-select}}
      template block text
    {{/bo-doc-contributor-role-select}}
  `);

  assert.equal(this.$().text().trim(), 'template block text');
});
